<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/entities/itembase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d4d/a08935_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">itembase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d4d/a08935.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ItemBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">   15</a></span>    <span class="keyword">protected</span> EntityAI <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">   16</a></span>    <span class="keyword">protected</span> vector <a class="code hl_variable" href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">m_Expansion_AttachmentTransform</a>[4];</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a3a2b240d32b87b01c5fb4663bad8e46a">   17</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d7/d82/a03774.html#a3a2b240d32b87b01c5fb4663bad8e46a">m_Expansion_IsAttached</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a88727dd0a9b0dadc35f8248b5ca3d67d">   18</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d82/a03774.html#a88727dd0a9b0dadc35f8248b5ca3d67d">m_Expansion_AttachIDA</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#ab98cf1cb04f183473d7418cc8381d623">   19</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d82/a03774.html#ab98cf1cb04f183473d7418cc8381d623">m_Expansion_AttachIDB</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a2ee0c6828f59f25427dc8ea78aa7f8b2">   20</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d82/a03774.html#a2ee0c6828f59f25427dc8ea78aa7f8b2">m_Expansion_AttachIDC</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a89f9ed27a7a9980158b3fd90e8607d6d">   21</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d82/a03774.html#a89f9ed27a7a9980158b3fd90e8607d6d">m_Expansion_AttachIDD</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#ae69a2def7960a04633739fff38290dd8">   22</a></span>    <span class="keyword">protected</span> dBlock <a class="code hl_variable" href="../../d7/d82/a03774.html#ae69a2def7960a04633739fff38290dd8">m_Expansion_Block</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#acfee53d7ba49c3b997e4b217a0bdc093">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d82/a03774.html#acfee53d7ba49c3b997e4b217a0bdc093">ItemBase</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        RegisterNetSyncVariableBool( <span class="stringliteral">&quot;m_Expansion_IsAttached&quot;</span> );</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        GetGame().GetCallQueue( CALL_CATEGORY_SYSTEM ).CallLater( <a class="code hl_function" href="../../d7/d82/a03774.html#a6e2393ff1601d7ce2f68f0e8afef3d6d">LongDeferredInit</a>, 1000 );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="comment">//SetEventMask(EntityEvent.CONTACT);</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a6e2393ff1601d7ce2f68f0e8afef3d6d">   33</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d82/a03774.html#a6e2393ff1601d7ce2f68f0e8afef3d6d">LongDeferredInit</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;LongDeferredInit&quot;</span>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">    #ifdef EXPANSION_MODSTORAGE</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> CF_OnStoreSave(CF_ModStorageMap storage)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        super.CF_OnStoreSave(storage);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keyword">auto</span> ctx = storage[DZ_Expansion_Vehicles];</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">if</span> (!ctx) <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a> &amp;&amp; <a class="code hl_variable" href="../../d7/d82/a03774.html#a3a2b240d32b87b01c5fb4663bad8e46a">m_Expansion_IsAttached</a> )</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            ctx.Write( <a class="code hl_variable" href="../../d7/d82/a03774.html#a3a2b240d32b87b01c5fb4663bad8e46a">m_Expansion_IsAttached</a> );</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a>.GetPersistentID( <a class="code hl_variable" href="../../d7/d82/a03774.html#a88727dd0a9b0dadc35f8248b5ca3d67d">m_Expansion_AttachIDA</a>, <a class="code hl_variable" href="../../d7/d82/a03774.html#ab98cf1cb04f183473d7418cc8381d623">m_Expansion_AttachIDB</a>, <a class="code hl_variable" href="../../d7/d82/a03774.html#a2ee0c6828f59f25427dc8ea78aa7f8b2">m_Expansion_AttachIDC</a>, <a class="code hl_variable" href="../../d7/d82/a03774.html#a89f9ed27a7a9980158b3fd90e8607d6d">m_Expansion_AttachIDD</a> );</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            ctx.Write( <a class="code hl_variable" href="../../d7/d82/a03774.html#a88727dd0a9b0dadc35f8248b5ca3d67d">m_Expansion_AttachIDA</a> );</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            ctx.Write( <a class="code hl_variable" href="../../d7/d82/a03774.html#ab98cf1cb04f183473d7418cc8381d623">m_Expansion_AttachIDB</a> );</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            ctx.Write( <a class="code hl_variable" href="../../d7/d82/a03774.html#a2ee0c6828f59f25427dc8ea78aa7f8b2">m_Expansion_AttachIDC</a> );</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            ctx.Write( <a class="code hl_variable" href="../../d7/d82/a03774.html#a89f9ed27a7a9980158b3fd90e8607d6d">m_Expansion_AttachIDD</a> );</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            vector tmItem[4];</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            vector tmParent[4];</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            GetTransform( tmItem );</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a>.GetTransform( tmParent );</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            Math3D.MatrixInvMultiply4( tmParent, tmItem, <a class="code hl_variable" href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">m_Expansion_AttachmentTransform</a> );</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            ctx.Write( <a class="code hl_variable" href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">m_Expansion_AttachmentTransform</a>[0] );</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            ctx.Write( <a class="code hl_variable" href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">m_Expansion_AttachmentTransform</a>[1] );</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            ctx.Write( <a class="code hl_variable" href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">m_Expansion_AttachmentTransform</a>[2] );</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            ctx.Write( <a class="code hl_variable" href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">m_Expansion_AttachmentTransform</a>[3] );</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            ctx.Write( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> CF_OnStoreLoad(CF_ModStorageMap storage)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">if</span> (!super.CF_OnStoreLoad(storage))</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keyword">auto</span> ctx = storage[DZ_Expansion_Vehicles];</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">if</span> (!ctx) <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d82/a03774.html#a3a2b240d32b87b01c5fb4663bad8e46a">m_Expansion_IsAttached</a>))</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d7/d82/a03774.html#a3a2b240d32b87b01c5fb4663bad8e46a">m_Expansion_IsAttached</a> )</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d82/a03774.html#a88727dd0a9b0dadc35f8248b5ca3d67d">m_Expansion_AttachIDA</a>))</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d82/a03774.html#ab98cf1cb04f183473d7418cc8381d623">m_Expansion_AttachIDB</a>))</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d82/a03774.html#a2ee0c6828f59f25427dc8ea78aa7f8b2">m_Expansion_AttachIDC</a>))</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d82/a03774.html#a89f9ed27a7a9980158b3fd90e8607d6d">m_Expansion_AttachIDD</a>))</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>                </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            vector transSide;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            vector transUp;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            vector transForward;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            vector transPos;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <span class="keywordflow">if</span> (!ctx.Read(transSide))</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <span class="keywordflow">if</span> (!ctx.Read(transUp))</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <span class="keywordflow">if</span> (!ctx.Read(transForward))</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            <span class="keywordflow">if</span> (!ctx.Read(transPos))</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            <a class="code hl_variable" href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">m_Expansion_AttachmentTransform</a>[0] = transSide;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <a class="code hl_variable" href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">m_Expansion_AttachmentTransform</a>[1] = transUp;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <a class="code hl_variable" href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">m_Expansion_AttachmentTransform</a>[2] = transForward;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <a class="code hl_variable" href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">m_Expansion_AttachmentTransform</a>[3] = transPos;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a2a79375819d7081e3db60da5f7e80035">  122</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d82/a03774.html#a2a79375819d7081e3db60da5f7e80035">EEOnAfterLoad</a>()</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        super.EEOnAfterLoad();</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d7/d82/a03774.html#a3a2b240d32b87b01c5fb4663bad8e46a">m_Expansion_IsAttached</a> )</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a> = GetGame().GetEntityByPersitentID( <a class="code hl_variable" href="../../d7/d82/a03774.html#a88727dd0a9b0dadc35f8248b5ca3d67d">m_Expansion_AttachIDA</a>, <a class="code hl_variable" href="../../d7/d82/a03774.html#ab98cf1cb04f183473d7418cc8381d623">m_Expansion_AttachIDB</a>, <a class="code hl_variable" href="../../d7/d82/a03774.html#a2ee0c6828f59f25427dc8ea78aa7f8b2">m_Expansion_AttachIDC</a>, <a class="code hl_variable" href="../../d7/d82/a03774.html#a89f9ed27a7a9980158b3fd90e8607d6d">m_Expansion_AttachIDD</a> );</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="comment"></span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span><span class="comment">            //! Same functionality as vanilla, delete if the storage owner is gone to prevent basebuilding appear randomly in the air</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span><span class="comment"></span>            <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a> )</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>                GetGame().ObjectDelete( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                <a class="code hl_function" href="../../d7/d82/a03774.html#a1a7fe3d005bb6580ad5c6a5b180a0541">LinkToLocalSpaceOf</a>( <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a>, <a class="code hl_variable" href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">m_Expansion_AttachmentTransform</a> );</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span><span class="preprocessor">    #ifndef EXPANSION_ITEM_ATTACHING_DISABLE</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a8bf99d8d3b3b3a41a61c394fe97fc9d9">  142</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d82/a03774.html#a8bf99d8d3b3b3a41a61c394fe97fc9d9">CheckForAttachmentRaycast</a>()</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d7/d82/a03774.html#a3a2b240d32b87b01c5fb4663bad8e46a">m_Expansion_IsAttached</a> &amp;&amp; <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a> )</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        }</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        vector boundingBox[2];</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/dd6/a02441.html#a5050a760c11da521cd4aee6336f6529f">radius</a> = ClippingInfo( boundingBox );</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span> </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        vector start = <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>() + Vector( 0, boundingBox[1][1], 0 );</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        vector end = <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>() - Vector( 0, boundingBox[0][1], 0 );</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        RaycastRVParams params = <span class="keyword">new</span> RaycastRVParams( start, end, <span class="keyword">this</span>, <a class="code hl_variable" href="../../d9/dd6/a02441.html#a5050a760c11da521cd4aee6336f6529f">radius</a> );</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        params.sorted = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        params.type = ObjIntersectGeom;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        params.flags = CollisionFlags.ALLOBJECTS;</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span><span class="comment"></span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span><span class="comment">        //! Initiate the raycast</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span><span class="comment"></span>        array&lt; ref RaycastRVResult &gt; results = <span class="keyword">new</span> array&lt; ref RaycastRVResult &gt;();</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">if</span> ( DayZPhysics.RaycastRVProxy( params, results ) )</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>            Object target = <a class="code hl_class" href="../../dd/d5b/a04562.html">ExpansionAttachmentHelper</a>.<a class="code hl_function" href="../../dd/d5b/a04562.html#a5de88bc866b7fc2e7585ff354b83ca5e">FindBestAttach</a>( <span class="keyword">this</span>, results );</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            <span class="keywordflow">if</span> ( target )</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            {</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>                vector tmItem[4];</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>                vector tmTarget[4];</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>                vector tmLocal[4];</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span> </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>                GetTransform( tmItem );</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>                target.GetTransform( tmTarget );</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>                Math3D.MatrixInvMultiply4( tmTarget, tmItem, tmLocal );</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>                <a class="code hl_function" href="../../d7/d82/a03774.html#a1a7fe3d005bb6580ad5c6a5b180a0541">LinkToLocalSpaceOf</a>( EntityAI.Cast( target ), tmLocal );</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span><span class="preprocessor">    #else</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d82/a03774.html#a8bf99d8d3b3b3a41a61c394fe97fc9d9">CheckForAttachmentRaycast</a>()</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    }</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    <span class="comment">// GetHiddenSelectionIndex</span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#aad0644c3d1f235e13503631263acff13">  189</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d7/d82/a03774.html#aad0644c3d1f235e13503631263acff13">GetHiddenSelectionIndex</a>( <span class="keywordtype">string</span> selection )</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    {</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        array&lt;string&gt; config_selections = <span class="keyword">new</span> array&lt;string&gt;;</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        ConfigGetTextArray( <span class="stringliteral">&quot;hiddenSelections&quot;</span>, config_selections );</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; config_selections.Count(); ++i )</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>            <span class="keywordflow">if</span> ( config_selections.Get( i ) == selection )</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>            {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>                <span class="keywordflow">return</span> i;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>            }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        }</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>    }</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    <span class="comment">// OnVariablesSynchronized</span></div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#aa5c630f3e789c5bf07b46ce04e859546">  208</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d82/a03774.html#aa5c630f3e789c5bf07b46ce04e859546">OnVariablesSynchronized</a>()</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    {</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        super.OnVariablesSynchronized();</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    }</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    <span class="comment">// OnItemLocationChanged</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    <span class="comment">//============================================  </span></div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span><span class="preprocessor">    #ifndef EXPANSION_ITEM_ATTACHING_DISABLE</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a3c646d607f08272fcf9232605dedb7e5">  217</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d82/a03774.html#a3c646d607f08272fcf9232605dedb7e5">OnItemLocationChanged</a>( EntityAI old_owner, EntityAI new_owner )</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    {</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span><span class="preprocessor">        #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        Print(<span class="stringliteral">&quot;ItemBase::OnItemLocationChanged - Start&quot;</span>);</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span> </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        super.OnItemLocationChanged( old_owner, new_owner );</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span> </div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        <span class="keywordflow">if</span> ( !GetGame().IsServer() )</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        {</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span><span class="preprocessor">            #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>            Print( <span class="stringliteral">&quot;ItemBase::OnItemLocationChanged - End - Not Server&quot;</span> );</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span> </div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        }</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span> </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        <a class="code hl_class" href="../../df/df6/a04914.html">DayZPlayerImplement</a> old_owner_dpi = NULL;</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        <a class="code hl_class" href="../../df/df6/a04914.html">DayZPlayerImplement</a> new_owner_dpi = NULL;</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        <span class="keywordflow">if</span> ( old_owner )</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        {</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>            <span class="keywordflow">if</span> ( old_owner.IsMan() )</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>            {</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>                old_owner_dpi = <a class="code hl_class" href="../../df/df6/a04914.html">DayZPlayerImplement</a>.Cast( old_owner );</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>            } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>            {</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>                old_owner_dpi = <a class="code hl_class" href="../../df/df6/a04914.html">DayZPlayerImplement</a>.Cast( old_owner.GetHierarchyRootPlayer() );</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>            }</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>        }</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        <span class="keywordflow">if</span> ( new_owner )</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        {</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>            <span class="keywordflow">if</span> ( new_owner.IsMan() )</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>            {</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>                new_owner_dpi = <a class="code hl_class" href="../../df/df6/a04914.html">DayZPlayerImplement</a>.Cast( new_owner );</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>            } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>            {</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>                new_owner_dpi = <a class="code hl_class" href="../../df/df6/a04914.html">DayZPlayerImplement</a>.Cast( new_owner.GetHierarchyRootPlayer() );</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>            }</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>        }</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span> </div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>        EntityAI parent = NULL;</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span> </div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>        <span class="comment">//Attaching or detaching the items to the vehicle</span></div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        <span class="keywordflow">if</span> ( old_owner_dpi &amp;&amp; !new_owner ) <span class="comment">// on drop</span></div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>        {</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>            <span class="keywordflow">if</span> ( dBodyIsDynamic( <span class="keyword">this</span> ) &amp;&amp; dBodyIsActive( <span class="keyword">this</span> ) )</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>            {</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span><span class="preprocessor">                #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>                Print( <span class="stringliteral">&quot;ItemBase::OnItemLocationChanged - End - Is Dynamic&quot;</span> );</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span><span class="preprocessor">                #endif</span></div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span> </div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>            }</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span> </div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>            <span class="keywordflow">if</span> ( !Class.CastTo( parent, old_owner_dpi.GetParent() ) )</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>            {</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span><span class="preprocessor">                #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>                Print( <span class="stringliteral">&quot;ItemBase::OnItemLocationChanged - End - No Parent&quot;</span> );</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span><span class="preprocessor">                #endif</span></div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span> </div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>            }</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span> </div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>            <a class="code hl_class" href="../../df/d0f/a05070.html">CarScript</a> car;</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>            <a class="code hl_class" href="../../d6/dac/a07746.html">ExpansionVehicleBase</a> veh;</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>            <span class="keywordflow">if</span> ( !Class.CastTo( car, parent ) &amp;&amp; !Class.CastTo( veh, parent ) )</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>            {</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span><span class="preprocessor">                #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>                Print( <span class="stringliteral">&quot;ItemBase::OnItemLocationChanged - End - No Valid Parent&quot;</span> );</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span><span class="preprocessor">                #endif</span></div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span> </div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>            }</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span> </div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span><span class="preprocessor">            #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>            Print( car );</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>            Print( veh );</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span> </div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>            <span class="keywordtype">bool</span> carAttach = car &amp;&amp; car.<a class="code hl_function" href="../../df/d0f/a05070.html#a63fe41aabb2e84806a44fc03abf6b008">Expansion_CanObjectAttach</a>( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>            <span class="keywordtype">bool</span> vehAttach = veh &amp;&amp; veh.Expansion_CanObjectAttach( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span> </div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span><span class="preprocessor">            #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>            Print( carAttach );</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>            Print( vehAttach );</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span> </div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>            <span class="keywordflow">if</span> ( carAttach || vehAttach )</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>            {</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>                vector tmItem[4];</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>                vector tmTarget[4];</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>                vector tmLocal[4];</div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span> </div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>                vector pPos = old_owner_dpi.GetPosition();</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>                vector pOri = old_owner_dpi.GetOrientation();</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span> </div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>                old_owner_dpi.GetTransform( tmItem );</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span>                PlaceOnSurfaceRotated( tmItem, pPos, 0, 0, 0, <span class="keyword">false</span> );</div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span> </div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span>                parent.GetTransform( tmTarget );</div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span>                Math3D.MatrixInvMultiply4( tmTarget, tmItem, tmLocal );</div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span> </div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span>                <a class="code hl_function" href="../../d7/d82/a03774.html#a1a7fe3d005bb6580ad5c6a5b180a0541">LinkToLocalSpaceOf</a>( parent, tmLocal );</div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span>            }</div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( new_owner_dpi &amp;&amp; !old_owner ) <span class="comment">//! On pickup</span></div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span>        {</div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span>            <a class="code hl_function" href="../../d7/d82/a03774.html#a52ec524a60adc952adfed0cc8787f19a">UnlinkFromLocalSpace</a>();</div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span>        }</div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span>        </div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span><span class="preprocessor">        #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span>        Print(<span class="stringliteral">&quot;ItemBase::OnItemLocationChanged - End&quot;</span>);</div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span>    }</div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00333" name="l00333"></a><span class="lineno">  333</span>    </div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span>    <span class="comment">// IsInventoryVisible</span></div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span>    <span class="comment">//============================================  </span></div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a4070e7380135bad26125b5faf2928ae9">  337</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d82/a03774.html#a4070e7380135bad26125b5faf2928ae9">IsInventoryVisible</a>()</div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>    {</div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>        <span class="keywordflow">return</span> ( <a class="code hl_variable" href="../../d7/d82/a03774.html#a3a2b240d32b87b01c5fb4663bad8e46a">m_Expansion_IsAttached</a> || super.IsInventoryVisible() );</div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span>    }</div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno">  341</span>    </div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span>    <span class="comment">// LinkToLocalSpaceOf</span></div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a1a7fe3d005bb6580ad5c6a5b180a0541">  345</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d82/a03774.html#a1a7fe3d005bb6580ad5c6a5b180a0541">LinkToLocalSpaceOf</a>( notnull EntityAI pParent, vector pLocalSpaceMatrix[4] )</div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span>    {</div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno">  347</span><span class="preprocessor">        #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span>        Print( <span class="stringliteral">&quot;ItemBase::LinkToLocalSpaceOf - Start - Target=&quot;</span> + pParent );</div>
<div class="line"><a id="l00349" name="l00349"></a><span class="lineno">  349</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno">  350</span> </div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno">  351</span>        <span class="keywordflow">if</span> ( !GetGame().IsServer() )</div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span>        {</div>
<div class="line"><a id="l00353" name="l00353"></a><span class="lineno">  353</span><span class="preprocessor">            #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00354" name="l00354"></a><span class="lineno">  354</span>            Print( <span class="stringliteral">&quot;ItemBase::LinkToLocalSpaceOf - End - Not Server&quot;</span> );</div>
<div class="line"><a id="l00355" name="l00355"></a><span class="lineno">  355</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00356" name="l00356"></a><span class="lineno">  356</span> </div>
<div class="line"><a id="l00357" name="l00357"></a><span class="lineno">  357</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00358" name="l00358"></a><span class="lineno">  358</span>        }</div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno">  359</span>        <span class="comment">/*</span></div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span><span class="comment">        InventoryLocation child_src = new InventoryLocation;</span></div>
<div class="line"><a id="l00361" name="l00361"></a><span class="lineno">  361</span><span class="comment">        GetInventory().GetCurrentInventoryLocation( child_src );</span></div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno">  362</span><span class="comment">                </span></div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span><span class="comment">        InventoryLocation child_dst = new InventoryLocation;</span></div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno">  364</span><span class="comment">        child_dst.SetGround( this, pLocalSpaceMatrix );</span></div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno">  365</span><span class="comment">        child_dst.SetParent( pParent );</span></div>
<div class="line"><a id="l00366" name="l00366"></a><span class="lineno">  366</span><span class="comment"></span> </div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno">  367</span><span class="comment">        if ( !GameInventory.LocationCanMoveEntity( child_src, child_dst ) )</span></div>
<div class="line"><a id="l00368" name="l00368"></a><span class="lineno">  368</span><span class="comment">        {</span></div>
<div class="line"><a id="l00369" name="l00369"></a><span class="lineno">  369</span><span class="comment">            Print( &quot;ItemBase::LinkToLocalSpaceOf - End - LocationCanMoveEntity&quot; );</span></div>
<div class="line"><a id="l00370" name="l00370"></a><span class="lineno">  370</span><span class="comment"></span> </div>
<div class="line"><a id="l00371" name="l00371"></a><span class="lineno">  371</span><span class="comment">            return;</span></div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span><span class="comment">        }</span></div>
<div class="line"><a id="l00373" name="l00373"></a><span class="lineno">  373</span><span class="comment"></span> </div>
<div class="line"><a id="l00374" name="l00374"></a><span class="lineno">  374</span><span class="comment">        if ( !GameInventory.LocationSyncMoveEntity( child_src, child_dst ) )</span></div>
<div class="line"><a id="l00375" name="l00375"></a><span class="lineno">  375</span><span class="comment">        {</span></div>
<div class="line"><a id="l00376" name="l00376"></a><span class="lineno">  376</span><span class="comment">            Print( &quot;ItemBase::LinkToLocalSpaceOf - End - LocationSyncMoveEntity&quot; );</span></div>
<div class="line"><a id="l00377" name="l00377"></a><span class="lineno">  377</span><span class="comment"></span> </div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span><span class="comment">            return;</span></div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno">  379</span><span class="comment">        }</span></div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span><span class="comment">        */</span></div>
<div class="line"><a id="l00381" name="l00381"></a><span class="lineno">  381</span> </div>
<div class="line"><a id="l00382" name="l00382"></a><span class="lineno">  382</span><span class="preprocessor">        #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00383" name="l00383"></a><span class="lineno">  383</span>        Print( pLocalSpaceMatrix[0] );</div>
<div class="line"><a id="l00384" name="l00384"></a><span class="lineno">  384</span>        Print( pLocalSpaceMatrix[1] );</div>
<div class="line"><a id="l00385" name="l00385"></a><span class="lineno">  385</span>        Print( pLocalSpaceMatrix[2] );</div>
<div class="line"><a id="l00386" name="l00386"></a><span class="lineno">  386</span>        Print( pLocalSpaceMatrix[3] );</div>
<div class="line"><a id="l00387" name="l00387"></a><span class="lineno">  387</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00388" name="l00388"></a><span class="lineno">  388</span> </div>
<div class="line"><a id="l00389" name="l00389"></a><span class="lineno">  389</span>        <a class="code hl_variable" href="../../d7/d82/a03774.html#a3a2b240d32b87b01c5fb4663bad8e46a">m_Expansion_IsAttached</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00390" name="l00390"></a><span class="lineno">  390</span>        <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a> = pParent;</div>
<div class="line"><a id="l00391" name="l00391"></a><span class="lineno">  391</span> </div>
<div class="line"><a id="l00392" name="l00392"></a><span class="lineno">  392</span>        vector tmParent[4];</div>
<div class="line"><a id="l00393" name="l00393"></a><span class="lineno">  393</span>        <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a>.GetTransform( tmParent );</div>
<div class="line"><a id="l00394" name="l00394"></a><span class="lineno">  394</span>        Math3D.MatrixMultiply4( tmParent, pLocalSpaceMatrix, pLocalSpaceMatrix );</div>
<div class="line"><a id="l00395" name="l00395"></a><span class="lineno">  395</span> </div>
<div class="line"><a id="l00396" name="l00396"></a><span class="lineno">  396</span>        vector pos = pLocalSpaceMatrix[3];</div>
<div class="line"><a id="l00397" name="l00397"></a><span class="lineno">  397</span>        SetTransform( pLocalSpaceMatrix );</div>
<div class="line"><a id="l00398" name="l00398"></a><span class="lineno">  398</span> </div>
<div class="line"><a id="l00399" name="l00399"></a><span class="lineno">  399</span>        <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a>.AddChild( <span class="keyword">this</span>, -1 );</div>
<div class="line"><a id="l00400" name="l00400"></a><span class="lineno">  400</span>        <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a>.Update();</div>
<div class="line"><a id="l00401" name="l00401"></a><span class="lineno">  401</span> </div>
<div class="line"><a id="l00402" name="l00402"></a><span class="lineno">  402</span>        CreateDynamicPhysics(PhxInteractionLayers.DYNAMICITEM);</div>
<div class="line"><a id="l00403" name="l00403"></a><span class="lineno">  403</span>        <a class="code hl_variable" href="../../d7/d82/a03774.html#ae69a2def7960a04633739fff38290dd8">m_Expansion_Block</a> = dBodyCollisionBlock(<a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00404" name="l00404"></a><span class="lineno">  404</span> </div>
<div class="line"><a id="l00405" name="l00405"></a><span class="lineno">  405</span><span class="preprocessor">        #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00406" name="l00406"></a><span class="lineno">  406</span>        Print( <span class="stringliteral">&quot;ItemBase::LinkToLocalSpaceOf - End - Target=&quot;</span> + <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a> );</div>
<div class="line"><a id="l00407" name="l00407"></a><span class="lineno">  407</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00408" name="l00408"></a><span class="lineno">  408</span>    }</div>
<div class="line"><a id="l00409" name="l00409"></a><span class="lineno">  409</span>    </div>
<div class="line"><a id="l00410" name="l00410"></a><span class="lineno">  410</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00411" name="l00411"></a><span class="lineno">  411</span>    <span class="comment">// UnlinkFromLocalSpace</span></div>
<div class="line"><a id="l00412" name="l00412"></a><span class="lineno">  412</span>    <span class="comment">//============================================</span></div>
<div class="line"><a id="l00413" name="l00413"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a52ec524a60adc952adfed0cc8787f19a">  413</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d82/a03774.html#a52ec524a60adc952adfed0cc8787f19a">UnlinkFromLocalSpace</a>()</div>
<div class="line"><a id="l00414" name="l00414"></a><span class="lineno">  414</span>    {</div>
<div class="line"><a id="l00415" name="l00415"></a><span class="lineno">  415</span><span class="preprocessor">        #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00416" name="l00416"></a><span class="lineno">  416</span>        Print( <span class="stringliteral">&quot;ItemBase::UnlinkFromLocalSpace - Start&quot;</span> );</div>
<div class="line"><a id="l00417" name="l00417"></a><span class="lineno">  417</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00418" name="l00418"></a><span class="lineno">  418</span> </div>
<div class="line"><a id="l00419" name="l00419"></a><span class="lineno">  419</span>        <span class="keywordflow">if</span> ( !GetGame().IsServer() )</div>
<div class="line"><a id="l00420" name="l00420"></a><span class="lineno">  420</span>        {</div>
<div class="line"><a id="l00421" name="l00421"></a><span class="lineno">  421</span><span class="preprocessor">            #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00422" name="l00422"></a><span class="lineno">  422</span>            Print( <span class="stringliteral">&quot;ItemBase::UnlinkFromLocalSpace - End - Not Server&quot;</span> );</div>
<div class="line"><a id="l00423" name="l00423"></a><span class="lineno">  423</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00424" name="l00424"></a><span class="lineno">  424</span> </div>
<div class="line"><a id="l00425" name="l00425"></a><span class="lineno">  425</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00426" name="l00426"></a><span class="lineno">  426</span>        }</div>
<div class="line"><a id="l00427" name="l00427"></a><span class="lineno">  427</span> </div>
<div class="line"><a id="l00428" name="l00428"></a><span class="lineno">  428</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a> )</div>
<div class="line"><a id="l00429" name="l00429"></a><span class="lineno">  429</span>        {</div>
<div class="line"><a id="l00430" name="l00430"></a><span class="lineno">  430</span><span class="preprocessor">            #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00431" name="l00431"></a><span class="lineno">  431</span>            Print( <span class="stringliteral">&quot;ItemBase::UnlinkFromLocalSpace - End - No World Attachment&quot;</span> );</div>
<div class="line"><a id="l00432" name="l00432"></a><span class="lineno">  432</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00433" name="l00433"></a><span class="lineno">  433</span> </div>
<div class="line"><a id="l00434" name="l00434"></a><span class="lineno">  434</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00435" name="l00435"></a><span class="lineno">  435</span>        }</div>
<div class="line"><a id="l00436" name="l00436"></a><span class="lineno">  436</span> </div>
<div class="line"><a id="l00437" name="l00437"></a><span class="lineno">  437</span>        <span class="comment">//dBodyRemoveBlock(this, m_Expansion_Block);</span></div>
<div class="line"><a id="l00438" name="l00438"></a><span class="lineno">  438</span> </div>
<div class="line"><a id="l00439" name="l00439"></a><span class="lineno">  439</span>        <a class="code hl_variable" href="../../d7/d82/a03774.html#a3a2b240d32b87b01c5fb4663bad8e46a">m_Expansion_IsAttached</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00440" name="l00440"></a><span class="lineno">  440</span> </div>
<div class="line"><a id="l00441" name="l00441"></a><span class="lineno">  441</span>        vector tmGlobal[4];</div>
<div class="line"><a id="l00442" name="l00442"></a><span class="lineno">  442</span> </div>
<div class="line"><a id="l00443" name="l00443"></a><span class="lineno">  443</span>        GetTransform( tmGlobal );</div>
<div class="line"><a id="l00444" name="l00444"></a><span class="lineno">  444</span> </div>
<div class="line"><a id="l00445" name="l00445"></a><span class="lineno">  445</span>        <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a>.RemoveChild( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00446" name="l00446"></a><span class="lineno">  446</span> </div>
<div class="line"><a id="l00447" name="l00447"></a><span class="lineno">  447</span>        SetTransform( tmGlobal );</div>
<div class="line"><a id="l00448" name="l00448"></a><span class="lineno">  448</span> </div>
<div class="line"><a id="l00449" name="l00449"></a><span class="lineno">  449</span>        <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a>.Update();</div>
<div class="line"><a id="l00450" name="l00450"></a><span class="lineno">  450</span>        <a class="code hl_variable" href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">m_Expansion_WorldAttachment</a> = NULL;</div>
<div class="line"><a id="l00451" name="l00451"></a><span class="lineno">  451</span> </div>
<div class="line"><a id="l00452" name="l00452"></a><span class="lineno">  452</span>        <a class="code hl_enumvalue" href="../../da/d96/a00782.html#abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68">Update</a>();</div>
<div class="line"><a id="l00453" name="l00453"></a><span class="lineno">  453</span> </div>
<div class="line"><a id="l00454" name="l00454"></a><span class="lineno">  454</span><span class="preprocessor">        #ifdef EXPANSION_ITEM_ATTACHING_LOGGING</span></div>
<div class="line"><a id="l00455" name="l00455"></a><span class="lineno">  455</span>        Print( <span class="stringliteral">&quot;ItemBase::UnlinkFromLocalSpace - End&quot;</span> );</div>
<div class="line"><a id="l00456" name="l00456"></a><span class="lineno">  456</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00457" name="l00457"></a><span class="lineno">  457</span>    }</div>
<div class="line"><a id="l00458" name="l00458"></a><span class="lineno">  458</span> </div>
<div class="line"><a id="l00459" name="l00459"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a869cf34c1777177604e75aeb906c75a6">  459</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d82/a03774.html#a869cf34c1777177604e75aeb906c75a6">Expansion_ParentDrops</a>(EntityAI parent)</div>
<div class="line"><a id="l00460" name="l00460"></a><span class="lineno">  460</span>    {</div>
<div class="line"><a id="l00461" name="l00461"></a><span class="lineno">  461</span>        <span class="keywordflow">if</span> (Transport.Cast(parent))</div>
<div class="line"><a id="l00462" name="l00462"></a><span class="lineno">  462</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00463" name="l00463"></a><span class="lineno">  463</span> </div>
<div class="line"><a id="l00464" name="l00464"></a><span class="lineno">  464</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d6/dac/a07746.html">ExpansionVehicleBase</a>.Cast(parent))</div>
<div class="line"><a id="l00465" name="l00465"></a><span class="lineno">  465</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00466" name="l00466"></a><span class="lineno">  466</span> </div>
<div class="line"><a id="l00467" name="l00467"></a><span class="lineno">  467</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00468" name="l00468"></a><span class="lineno">  468</span>    }</div>
<div class="line"><a id="l00469" name="l00469"></a><span class="lineno">  469</span> </div>
<div class="line"><a id="l00470" name="l00470"></a><span class="lineno"><a class="line" href="../../d7/d82/a03774.html#a5fafbb1a60fe4215d8b39a42970fa5ad">  470</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d82/a03774.html#a5fafbb1a60fe4215d8b39a42970fa5ad">Expansion_PhysicsDrop</a>()</div>
<div class="line"><a id="l00471" name="l00471"></a><span class="lineno">  471</span>    {</div>
<div class="line"><a id="l00472" name="l00472"></a><span class="lineno">  472</span>        <span class="keywordflow">if</span> (!GetGame().IsServer())</div>
<div class="line"><a id="l00473" name="l00473"></a><span class="lineno">  473</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00474" name="l00474"></a><span class="lineno">  474</span> </div>
<div class="line"><a id="l00475" name="l00475"></a><span class="lineno">  475</span>        EntityAI parent = GetHierarchyParent();</div>
<div class="line"><a id="l00476" name="l00476"></a><span class="lineno">  476</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d7/d82/a03774.html#a869cf34c1777177604e75aeb906c75a6">Expansion_ParentDrops</a>(parent))</div>
<div class="line"><a id="l00477" name="l00477"></a><span class="lineno">  477</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00478" name="l00478"></a><span class="lineno">  478</span> </div>
<div class="line"><a id="l00479" name="l00479"></a><span class="lineno">  479</span>        vector transform[4];</div>
<div class="line"><a id="l00480" name="l00480"></a><span class="lineno">  480</span>        GetTransform(transform);</div>
<div class="line"><a id="l00481" name="l00481"></a><span class="lineno">  481</span> </div>
<div class="line"><a id="l00482" name="l00482"></a><span class="lineno">  482</span>        vector velocity = dBodyGetVelocityAt(parent, transform[3]);</div>
<div class="line"><a id="l00483" name="l00483"></a><span class="lineno">  483</span>        <span class="keywordtype">float</span> mass = dBodyGetMass(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00484" name="l00484"></a><span class="lineno">  484</span>        <span class="keywordflow">if</span> (!mass)</div>
<div class="line"><a id="l00485" name="l00485"></a><span class="lineno">  485</span>            mass = GetWeight() / 1000;</div>
<div class="line"><a id="l00486" name="l00486"></a><span class="lineno">  486</span>        vector force = velocity * mass;</div>
<div class="line"><a id="l00487" name="l00487"></a><span class="lineno">  487</span> </div>
<div class="line"><a id="l00488" name="l00488"></a><span class="lineno">  488</span>        <a class="code hl_class" href="../../df/d0f/a05070.html">CarScript</a> car;</div>
<div class="line"><a id="l00489" name="l00489"></a><span class="lineno">  489</span>        <a class="code hl_class" href="../../d6/dac/a07746.html">ExpansionVehicleBase</a> vehicle;</div>
<div class="line"><a id="l00490" name="l00490"></a><span class="lineno">  490</span>        <span class="keywordtype">bool</span> exploded = (Class.CastTo(car, parent) &amp;&amp; car.<a class="code hl_function" href="../../df/d0f/a05070.html#af366ba9c88b8d85005c75203890e36ba">IsExploded</a>()) || (Class.CastTo(vehicle, parent) &amp;&amp; vehicle.IsExploded());</div>
<div class="line"><a id="l00491" name="l00491"></a><span class="lineno">  491</span><span class="comment"></span> </div>
<div class="line"><a id="l00492" name="l00492"></a><span class="lineno">  492</span><span class="comment">        //! If parent is exploded vehicle, make parts fly off violently</span></div>
<div class="line"><a id="l00493" name="l00493"></a><span class="lineno">  493</span><span class="comment"></span>        <span class="keywordflow">if</span> (exploded)</div>
<div class="line"><a id="l00494" name="l00494"></a><span class="lineno">  494</span>        {</div>
<div class="line"><a id="l00495" name="l00495"></a><span class="lineno">  495</span>            <span class="keywordflow">if</span> (!force.Length())</div>
<div class="line"><a id="l00496" name="l00496"></a><span class="lineno">  496</span>                force = GetDirection(); <span class="comment">//! If vehicle is standing still, use direction vector instead of velocity</span></div>
<div class="line"><a id="l00497" name="l00497"></a><span class="lineno">  497</span>            force = force.Normalized() * 500;</div>
<div class="line"><a id="l00498" name="l00498"></a><span class="lineno">  498</span>        }</div>
<div class="line"><a id="l00499" name="l00499"></a><span class="lineno">  499</span> </div>
<div class="line"><a id="l00500" name="l00500"></a><span class="lineno">  500</span>        InventoryLocation src = <span class="keyword">new</span> InventoryLocation;</div>
<div class="line"><a id="l00501" name="l00501"></a><span class="lineno">  501</span>        GetInventory().GetCurrentInventoryLocation(src);</div>
<div class="line"><a id="l00502" name="l00502"></a><span class="lineno">  502</span>        InventoryLocation dst = <span class="keyword">new</span> InventoryLocation;</div>
<div class="line"><a id="l00503" name="l00503"></a><span class="lineno">  503</span>        dst.SetGround(<span class="keyword">this</span>, transform);</div>
<div class="line"><a id="l00504" name="l00504"></a><span class="lineno">  504</span> </div>
<div class="line"><a id="l00505" name="l00505"></a><span class="lineno">  505</span>        InventoryMode invMode = InventoryMode.SERVER;</div>
<div class="line"><a id="l00506" name="l00506"></a><span class="lineno">  506</span>        <span class="keywordflow">if</span> (!GetGame().IsMultiplayer())</div>
<div class="line"><a id="l00507" name="l00507"></a><span class="lineno">  507</span>            invMode = InventoryMode.LOCAL;</div>
<div class="line"><a id="l00508" name="l00508"></a><span class="lineno">  508</span> </div>
<div class="line"><a id="l00509" name="l00509"></a><span class="lineno">  509</span>        GetInventory().TakeToDst(invMode, src, dst);</div>
<div class="line"><a id="l00510" name="l00510"></a><span class="lineno">  510</span>        ThrowPhysically(null, force);</div>
<div class="line"><a id="l00511" name="l00511"></a><span class="lineno">  511</span>    }</div>
<div class="line"><a id="l00512" name="l00512"></a><span class="lineno">  512</span>};</div>
<div class="ttc" id="aa00134_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d76/a00134_source.html#l00293">expansionterritory.c:293</a></div></div>
<div class="ttc" id="aa00722_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00782_html_abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68"><div class="ttname"><a href="../../da/d96/a00782.html#abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68">Update</a></div><div class="ttdeci">@ Update</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d96/a00782_source.html#l00280">expansionrpc.c:280</a></div></div>
<div class="ttc" id="aa02441_html_a5050a760c11da521cd4aee6336f6529f"><div class="ttname"><a href="../../d9/dd6/a02441.html#a5050a760c11da521cd4aee6336f6529f">radius</a></div><div class="ttdeci">float radius</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd6/a02441_source.html#l00021">expansioninteriorbuildingmodule.c:21</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03774_html_a1a7fe3d005bb6580ad5c6a5b180a0541"><div class="ttname"><a href="../../d7/d82/a03774.html#a1a7fe3d005bb6580ad5c6a5b180a0541">ItemBase::LinkToLocalSpaceOf</a></div><div class="ttdeci">void LinkToLocalSpaceOf(notnull EntityAI pParent, vector pLocalSpaceMatrix[4])</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00345">itembase.c:345</a></div></div>
<div class="ttc" id="aa03774_html_a2a79375819d7081e3db60da5f7e80035"><div class="ttname"><a href="../../d7/d82/a03774.html#a2a79375819d7081e3db60da5f7e80035">ItemBase::EEOnAfterLoad</a></div><div class="ttdeci">override void EEOnAfterLoad()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00122">itembase.c:122</a></div></div>
<div class="ttc" id="aa03774_html_a2ee0c6828f59f25427dc8ea78aa7f8b2"><div class="ttname"><a href="../../d7/d82/a03774.html#a2ee0c6828f59f25427dc8ea78aa7f8b2">ItemBase::m_Expansion_AttachIDC</a></div><div class="ttdeci">protected int m_Expansion_AttachIDC</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00020">itembase.c:20</a></div></div>
<div class="ttc" id="aa03774_html_a3a2b240d32b87b01c5fb4663bad8e46a"><div class="ttname"><a href="../../d7/d82/a03774.html#a3a2b240d32b87b01c5fb4663bad8e46a">ItemBase::m_Expansion_IsAttached</a></div><div class="ttdeci">protected bool m_Expansion_IsAttached</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00017">itembase.c:17</a></div></div>
<div class="ttc" id="aa03774_html_a3b37d940b5cb925b81f07ca0bea69ac3"><div class="ttname"><a href="../../d7/d82/a03774.html#a3b37d940b5cb925b81f07ca0bea69ac3">ItemBase::m_Expansion_AttachmentTransform</a></div><div class="ttdeci">protected vector m_Expansion_AttachmentTransform[4]</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00016">itembase.c:16</a></div></div>
<div class="ttc" id="aa03774_html_a3c646d607f08272fcf9232605dedb7e5"><div class="ttname"><a href="../../d7/d82/a03774.html#a3c646d607f08272fcf9232605dedb7e5">ItemBase::OnItemLocationChanged</a></div><div class="ttdeci">override void OnItemLocationChanged(EntityAI old_owner, EntityAI new_owner)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00217">itembase.c:217</a></div></div>
<div class="ttc" id="aa03774_html_a4070e7380135bad26125b5faf2928ae9"><div class="ttname"><a href="../../d7/d82/a03774.html#a4070e7380135bad26125b5faf2928ae9">ItemBase::IsInventoryVisible</a></div><div class="ttdeci">override bool IsInventoryVisible()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00337">itembase.c:337</a></div></div>
<div class="ttc" id="aa03774_html_a52ec524a60adc952adfed0cc8787f19a"><div class="ttname"><a href="../../d7/d82/a03774.html#a52ec524a60adc952adfed0cc8787f19a">ItemBase::UnlinkFromLocalSpace</a></div><div class="ttdeci">void UnlinkFromLocalSpace()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00413">itembase.c:413</a></div></div>
<div class="ttc" id="aa03774_html_a5fafbb1a60fe4215d8b39a42970fa5ad"><div class="ttname"><a href="../../d7/d82/a03774.html#a5fafbb1a60fe4215d8b39a42970fa5ad">ItemBase::Expansion_PhysicsDrop</a></div><div class="ttdeci">void Expansion_PhysicsDrop()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00470">itembase.c:470</a></div></div>
<div class="ttc" id="aa03774_html_a65885d0cc67b187c7b7cdd432feb2b5e"><div class="ttname"><a href="../../d7/d82/a03774.html#a65885d0cc67b187c7b7cdd432feb2b5e">ItemBase::m_Expansion_WorldAttachment</a></div><div class="ttdeci">protected EntityAI m_Expansion_WorldAttachment</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00015">itembase.c:15</a></div></div>
<div class="ttc" id="aa03774_html_a6e2393ff1601d7ce2f68f0e8afef3d6d"><div class="ttname"><a href="../../d7/d82/a03774.html#a6e2393ff1601d7ce2f68f0e8afef3d6d">ItemBase::LongDeferredInit</a></div><div class="ttdeci">void LongDeferredInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00033">itembase.c:33</a></div></div>
<div class="ttc" id="aa03774_html_a869cf34c1777177604e75aeb906c75a6"><div class="ttname"><a href="../../d7/d82/a03774.html#a869cf34c1777177604e75aeb906c75a6">ItemBase::Expansion_ParentDrops</a></div><div class="ttdeci">bool Expansion_ParentDrops(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00459">itembase.c:459</a></div></div>
<div class="ttc" id="aa03774_html_a88727dd0a9b0dadc35f8248b5ca3d67d"><div class="ttname"><a href="../../d7/d82/a03774.html#a88727dd0a9b0dadc35f8248b5ca3d67d">ItemBase::m_Expansion_AttachIDA</a></div><div class="ttdeci">protected int m_Expansion_AttachIDA</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00018">itembase.c:18</a></div></div>
<div class="ttc" id="aa03774_html_a89f9ed27a7a9980158b3fd90e8607d6d"><div class="ttname"><a href="../../d7/d82/a03774.html#a89f9ed27a7a9980158b3fd90e8607d6d">ItemBase::m_Expansion_AttachIDD</a></div><div class="ttdeci">protected int m_Expansion_AttachIDD</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00021">itembase.c:21</a></div></div>
<div class="ttc" id="aa03774_html_a8bf99d8d3b3b3a41a61c394fe97fc9d9"><div class="ttname"><a href="../../d7/d82/a03774.html#a8bf99d8d3b3b3a41a61c394fe97fc9d9">ItemBase::CheckForAttachmentRaycast</a></div><div class="ttdeci">void CheckForAttachmentRaycast()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00142">itembase.c:142</a></div></div>
<div class="ttc" id="aa03774_html_aa5c630f3e789c5bf07b46ce04e859546"><div class="ttname"><a href="../../d7/d82/a03774.html#aa5c630f3e789c5bf07b46ce04e859546">ItemBase::OnVariablesSynchronized</a></div><div class="ttdeci">override void OnVariablesSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00208">itembase.c:208</a></div></div>
<div class="ttc" id="aa03774_html_aad0644c3d1f235e13503631263acff13"><div class="ttname"><a href="../../d7/d82/a03774.html#aad0644c3d1f235e13503631263acff13">ItemBase::GetHiddenSelectionIndex</a></div><div class="ttdeci">override int GetHiddenSelectionIndex(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00189">itembase.c:189</a></div></div>
<div class="ttc" id="aa03774_html_ab98cf1cb04f183473d7418cc8381d623"><div class="ttname"><a href="../../d7/d82/a03774.html#ab98cf1cb04f183473d7418cc8381d623">ItemBase::m_Expansion_AttachIDB</a></div><div class="ttdeci">protected int m_Expansion_AttachIDB</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00019">itembase.c:19</a></div></div>
<div class="ttc" id="aa03774_html_acfee53d7ba49c3b997e4b217a0bdc093"><div class="ttname"><a href="../../d7/d82/a03774.html#acfee53d7ba49c3b997e4b217a0bdc093">ItemBase::ItemBase</a></div><div class="ttdeci">void ItemBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00024">itembase.c:24</a></div></div>
<div class="ttc" id="aa03774_html_ae69a2def7960a04633739fff38290dd8"><div class="ttname"><a href="../../d7/d82/a03774.html#ae69a2def7960a04633739fff38290dd8">ItemBase::m_Expansion_Block</a></div><div class="ttdeci">protected dBlock m_Expansion_Block</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4d/a08935_source.html#l00022">itembase.c:22</a></div></div>
<div class="ttc" id="aa04562_html"><div class="ttname"><a href="../../dd/d5b/a04562.html">ExpansionAttachmentHelper</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3c/a00971_source.html#l00013">expansionattachmenthelper.c:14</a></div></div>
<div class="ttc" id="aa04562_html_a5de88bc866b7fc2e7585ff354b83ca5e"><div class="ttname"><a href="../../dd/d5b/a04562.html#a5de88bc866b7fc2e7585ff354b83ca5e">ExpansionAttachmentHelper::FindBestAttach</a></div><div class="ttdeci">static Object FindBestAttach(Object child, array&lt; ref RaycastRVResult &gt; results)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3c/a00971_source.html#l00087">expansionattachmenthelper.c:87</a></div></div>
<div class="ttc" id="aa04914_html"><div class="ttname"><a href="../../df/df6/a04914.html">DayZPlayerImplement</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1c/a01229_source.html#l00013">attachment_dayzplayerimplement.c:14</a></div></div>
<div class="ttc" id="aa05070_html"><div class="ttname"><a href="../../df/d0f/a05070.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dc3/a09307_source.html#l00016">carscript.c:17</a></div></div>
<div class="ttc" id="aa05070_html_a63fe41aabb2e84806a44fc03abf6b008"><div class="ttname"><a href="../../df/d0f/a05070.html#a63fe41aabb2e84806a44fc03abf6b008">CarScript::Expansion_CanObjectAttach</a></div><div class="ttdeci">bool Expansion_CanObjectAttach(Object obj)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dc3/a09307_source.html#l00154">carscript.c:154</a></div></div>
<div class="ttc" id="aa05070_html_af366ba9c88b8d85005c75203890e36ba"><div class="ttname"><a href="../../df/d0f/a05070.html#af366ba9c88b8d85005c75203890e36ba">CarScript::IsExploded</a></div><div class="ttdeci">bool IsExploded()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d9f/a09319_source.html#l01552">carscript.c:1552</a></div></div>
<div class="ttc" id="aa07746_html"><div class="ttname"><a href="../../d6/dac/a07746.html">ExpansionVehicleBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db1/a03098_source.html#l00017">expansionvehiclebikebase.c:18</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_b27e8102d55cc5d44e37d1ed7930554c.html">entities</a></li><li class="navelem"><a class="el" href="../../de/d4d/a08935.html">itembase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
